local MINOR_VERSION = tonumber(("$Revision: 11 $"):match("%d+"))
HitsMode5 = LibStub("AceAddon-3.0"):NewAddon("HitsMode5", "AceConsole-3.0", "AceEvent-3.0", "AceTimer-3.0")
local L = LibStub("AceLocale-3.0"):GetLocale("HitsMode5")
local HitsMode5 = HitsMode5
local ldb = LibStub:GetLibrary("LibDataBroker-1.1")
local dataobj = ldb:NewDataObject("HitsMode5", {label = "HitsMode5", type = "data source", icon = "Interface\\Icons\\Ability_CriticalStrike", text = ""})


local options = {
	name = "HitsMode5",
	handler = HitsMode5,
	type = "group",
	args = {
		header = {
			type = "header",
			name = "HitsMode|cff3355dd5|r r" .. MINOR_VERSION
		},
		desc = {
			type = "description",
			name = "Written by Allara (Draenor-US)"
		},
		help = {
			type = "execute",
			name = "Help",
			func = function() end
		}
	},
}


function HitsMode5:OnInitialize()
	LibStub("AceConfig-3.0"):RegisterOptionsTable("HitsMode5", options)
	self.optionsFrame = LibStub("AceConfigDialog-3.0"):AddToBlizOptions("HitsMode5", "HitsMode5")
	self:RegisterChatCommand("hitsmode", "ChatCommand")
	self:RegisterChatCommand("hm", "ChatCommand")
end

function HitsMode5:OnEnable()
	self:Print(L["Loaded"])
end

function HitsMode5:OnDisable()
end

function HitsMode5:ChatCommand(input)
    if not input or input:trim() == "" then
        InterfaceOptionsFrame_OpenToCategory(self.optionsFrame)
    else
        LibStub("AceConfigCmd-3.0").HandleCommand(HitsMode5, "hm", "HitsMode5", input)
    end
end
